<script setup lang="ts">
import { Dialog as ShadcnDialog } from '@/components/core/dialog';
import type { UiDialogProps } from './types';

defineOptions({
  name: 'UiDialog',
});

const props = withDefaults(defineProps<UiDialogProps>(), {
  modal: true,
});
const open = defineModel<boolean>('open');
</script>

<template>
  <ShadcnDialog v-model:open="open" :modal="props.modal">
    <slot />
  </ShadcnDialog>
</template>
